
Foreman - Bug #25523

make i18n js code more resilient to errors

11/21/2018 07:56 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: JavaScript stack   

Target version: 1.20.1   

Difficulty:  Fixed in Releases: 1.20.1, 1.21.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6268

  

Description

in case window.locale doesn't contain the needed locale, JED initialization fails with an error and all js code fails to load.

Offending line: https://github.com/theforeman/foreman/blob/develop/webpack/assets/javascripts/react_app/common/I18n.js#L15

Related issues:

Related to Foreman - Bug #25517: Debian packages don't build localized js files Closed

Associated revisions

Revision c8db244a - 11/26/2018 09:51 AM - Tomer Brisker

Fixes #25523 - Fallback to english if js locale is missing

History

#1 - 11/21/2018 08:07 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/6268 added

#2 - 11/21/2018 08:07 AM - Tomer Brisker

- Related to Bug #25517: Debian packages don't build localized js files added

#3 - 11/26/2018 10:01 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset c8db244abd96f6cc22cadd038dca9e3e5581b815.

#4 - 11/26/2018 10:32 AM - Tomer Brisker

- Fixed in Releases 1.21.0 added

#5 - 11/26/2018 11:31 AM - Tomer Brisker

- Fixed in Releases 1.20.1 added
